View Issue Details

IDProjectCategoryView StatusLast Update
0017380mantisbtsecuritypublic2014-12-08 00:34
ReportergrangewayAssigned Tograngeway 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017380: IIS: add web.config to deny access to config/
Description

Add a default web.config that attempts to deny access to the config/* folders.

Note: this may require URL authorization to be enabled in IIS7

TagsNo tags attached.

Relationships

related to 0017510 closedatrol test_langs throws errors 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 78cee358

2014-05-29 09:59:20

Paul Richards

Details Diff
Fix 0017380: IIS: add web.config to deny access to config/
add - config/Web.config Diff File
add - core/Web.config Diff File
add - doc/Web.config Diff File
add - lang/Web.config Diff File
add - library/Web.config Diff File
add - packages/Web.config Diff File
add - plugins/.htaccess Diff File
add - plugins/Web.config Diff File
add - scripts/.htaccess Diff File
add - scripts/Web.config Diff File

Issue History

Date Modified Username Field Change
2014-05-26 13:12 grangeway New Issue
2014-05-28 18:40 grangeway Product Version => 1.3.0-beta.1
2014-05-28 18:40 grangeway Target Version => 1.3.0-beta.1
2014-05-28 18:40 grangeway Assigned To => grangeway
2014-05-28 18:40 grangeway Status new => assigned
2014-05-29 10:00 Changeset attached => MantisBT master 78cee358
2014-05-29 10:00 anonymous Status assigned => resolved
2014-05-29 10:00 anonymous Resolution open => fixed
2014-05-29 10:00 anonymous Fixed in Version => 1.3.0-beta.1
2014-07-14 17:57 atrol Relationship added related to 0017510
2014-12-08 00:34 vboctor Status resolved => closed